summaryrefslogtreecommitdiffstats
path: root/gold/scoreboard/modules/available/ati_temper/gather
diff options
context:
space:
mode:
authorEUcancER <root@euer.krebsco.de>2011-08-31 13:31:18 +0200
committerEUcancER <root@euer.krebsco.de>2011-08-31 13:31:18 +0200
commitf5aa2b134fc44d3b64851de596bdff1ffd1601d5 (patch)
tree9cc845bdfd7af19cea8e172bd227c094cb6a150e /gold/scoreboard/modules/available/ati_temper/gather
parent8e2af5a9f643632b96564706313edd4524f81bfd (diff)
gold/scoreboard: initial commit
Add a copy/paste branch of the original btc_logger. I couldn't import the whole repo as it contains tons of passwords and keys (which is not a good thing as these are somewhat special for me :) scoreboard contains a number of modules which do a number of things: ati_temper: log temperature data of an ati_temper enabled host : see //gold/miner/bin/ati_temper solidcoin : graph solidcoin informations bitcoin : s.a. In addition to that live stats are generated by the script //gold/scoreboard/profile contains all the important paths and variables which are sourced by the modules. In a new installation this file needs to be customized. //gold/scoreboard/util/schedule_logger is the scheduler for generating the graphs every 5 minutes. you will need to run /modules/available/$MODULE/init before using the scoreboard as a whole. the modules directory is still a bit cluttered, sorry about that.
Diffstat (limited to 'gold/scoreboard/modules/available/ati_temper/gather')
-rwxr-xr-xgold/scoreboard/modules/available/ati_temper/gather14
1 files changed, 14 insertions, 0 deletions
diff --git a/gold/scoreboard/modules/available/ati_temper/gather b/gold/scoreboard/modules/available/ati_temper/gather
new file mode 100755
index 00000000..15f0b4f2
--- /dev/null
+++ b/gold/scoreboard/modules/available/ati_temper/gather
@@ -0,0 +1,14 @@
+#!/bin/sh
+HERE=$(dirname $(readlink -f $0))
+. $HERE/../../../profile
+
+# machine to check for
+MACHINE=chinaman
+MACHINE_KEY=$MDIR/keys/$MACHINE
+LF=${MACHINE}_ati_temper
+mkdir -p $ADIR
+mkdir -p $LDIR
+
+# write into live directory and archive
+[ ! -e $MACHINE_KEY ] && echo "No Key for $MACHINE" && exit 1
+echo "$(date +%Y-%m-%dT%H:%M:%S) $(ssh -i $MACHINE_KEY worker@$MACHINE '~/bin/ati_temper')" | tee $LDIR/$LF >> $ADIR/$LF